Subject: bug#60587: Patch for adding links to symbols' help documentation

From: Drew Adams <[email-masked]>
Date: Fri, 27 Jan 2023 23:09:24 +0000

> Make it a minor mode, then.  It's no more coding and it offers
> more functionality and a more regular/familiar behavior.

Yes, that's what I meant.

But there's the wrinkle of whether users can just
Customize the variable value or need to turn on
the mode.  Vanilla Emacs doesn't like toggling of
user option values (I don't agree, FWIW), and in
Isearch, for example, has a user option and a
defvar for the same thing, with a toggle command
for the defvar value and the option just to set
the default of the defvar.

(I do agree that minor modes are generally a good
way to go, for toggles.)